Bug 508698 - S-c-tools cleanup: Show password strength
S-c-tools cleanup: Show password strength
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: FutureFeature, Patch
Depends On:
Blocks: 493612
  Show dependency treegraph
 
Reported: 2009-06-29 10:30 EDT by Roman Rakus
Modified: 2016-08-10 11:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-10 11:18:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch that adds a password strength meter in new user and user properties dialogs (13.06 KB, patch)
2009-07-15 09:54 EDT, Radek Novacek
no flags Details | Diff

  None (edit)
Description Roman Rakus 2009-06-29 10:30:25 EDT
Description of problem:
It should be good to show password strength like in system-config-rootpassword when adding new user

How reproducible: 

Steps to Reproduce:
1.  Click on Add User
2. 
3. 

Actual results:
Plain password settings

Expected results:
Bar showing strength of password

Additional info:
This bug report is part of "System Configuration Tools Cleanup Project". Don't
hesitate to ask project maintainers for any kind of help.
Comment 1 Radek Novacek 2009-07-15 09:54:10 EDT
Created attachment 353825 [details]
Proposed patch that adds a password strength meter in new user and user properties dialogs

Simple password meter inspired by system-config-rootpassword. It uses cracklib-python for checking basic password weaknesses (dictionary words etc.), so it needs cracklib-python as dependency. It should work without it as well, but there will be no password check.
Comment 2 Bug Zapper 2009-11-16 05:32:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-11-04 06:55:14 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Nils Philippsen 2016-08-10 11:18:43 EDT
Thanks for taking the time to submit this request for enhancement.
Unfortunately, I haven't gotten around to implement this feature, sorry for
that.

Because I don't actively develop system-config-users anymore, I won't likely
find the time to work on this ticket, so I'll close this bug now.

Note You need to log in before you can comment on or make changes to this bug.